Skip to main content
`Ctrl`+`K`

# TaoSetConstraintTolerances

Sets constraint tolerance parameters used in `TaoSolve()` convergence tests

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetConstraintTolerances(Tao tao, PetscReal catol, PetscReal crtol)

Logically Collective

## Input Parameters

- tao - the `Tao` context

- catol - absolute constraint tolerance, constraint norm must be less than `catol` for used for gatol convergence criteria

- crtol - relative constraint tolerance, constraint norm must be less than `crtol` for used for gatol, gttol convergence criteria

## Options Database Keys

- -tao_catol - Sets catol

- -tao_crtol - Sets crtol

## Notes

Use `PETSC_DEFAULT` to leave any tolerance unchanged.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoConvergedReason`, `TaoGetTolerances()`, `TaoGetConstraintTolerances()`, `TaoSetTolerances()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

## Examples

src/tao/constrained/tutorials/ex1.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages